import React, {Component, PropTypes} from 'react';

export default class RoutePreviewComponent extends Component {

    componentWillUpdate(nextProps, nextState){
        console.log(nextProps);
        console.log(nextState);
    }

    handleClick = () => {
        this.props.loadMap(this.props.mapID);
    }

    render(){
        console.log(this.props.imageLink);
        console.log(this.props.totalWidth);

        return(
            <div onClick={this.handleClick} style={{float: 'left', width: this.props.totalWidth + '%'}}>
                <img src={this.props.imageLink} key={Random.id()} style={{width: '100%', height: '100%'}}/>
            </div>
        )
    }
}

RoutePreviewComponent.propTypes = {
    mapID: PropTypes.string.isRequired,
    imageLink: PropTypes.string.isRequired,
    totalWidth: PropTypes.number.isRequired,
    uniqueKey: PropTypes.string.isRequired,

    loadMap: PropTypes.func.isRequired,
}