import React from 'react';
import PropTypes from 'prop-types';

/**
 * The purpose of this component is to decide what to render to the right of the sidebar in the
 * main application window.
 *
 * This will render: Map, PluginManager, Individual Plugins, etc.
 */
const MainContentContainer = props => (
  <div className="main-component">
    {props.reactObj}
  </div>
);

MainContentContainer.propTypes = {
  reactObj: PropTypes.object.isRequired,
};

export default MainContentContainer;
