/**
 * Capitalizes all first letters in a word, referenced from https://stackoverflow.com/questions/196972/convert-string-to-title-case-with-javascript/196991#196991
 * @param s String to put into title case
 */
export function toTitleCase(s) {
  const split = s.split('_').join(' ');

  return split.replace(/\w\S*/g, function(txt) {
    return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase();
  });
}

export default toTitleCase;
