import React, {PropTypes, Component} from 'react';
import GeneralButton from "./toolbar-buttons/GeneralButton";
import EdgeButton from "./toolbar-buttons/EdgeButton";
import ClickControl from "./ClickControl";
import AddButton from "./toolbar-buttons/AddButton";

export default class Toolbar extends Component {
    constructor(props){
        super(props);
    }

    render() {
        return (
                <ClickControl>
                    <GeneralButton onSelect={this.props.onSwitch}/>
                    <AddButton onSelect={this.props.onSwitch}/>
                    <EdgeButton onSelect={this.props.onSwitch}/>
                </ClickControl>
        )
    }
}

Toolbar.propTypes = {
    onSwitch: PropTypes.func.isRequired,
}