import React, { Component } from 'react';
import { Meteor } from 'meteor/meteor';
import {
  Table,
  TableBody,
  TableHeader,
  TableHeaderColumn,
  TableRow,
  TableRowColumn,
} from 'material-ui/Table';
import Paper from 'material-ui/Paper';

class SchoolConfig extends Component {
  handleSave = () => {
    Meteor.call('plugins.setConfig', 'SCHOOL_DIRECTORY', {});
  }

  render() {
    return (
      <Paper>
        <Table>
          <TableHeader displaySelectAll={false}>
            <TableRow>
              <TableHeaderColumn>Entry</TableHeaderColumn>
              <TableHeaderColumn>Name</TableHeaderColumn>
              <TableHeaderColumn>Department</TableHeaderColumn>
              <TableHeaderColumn>Location</TableHeaderColumn>
            </TableRow>
          </TableHeader>
          <TableBody>
            <TableRow>
              <TableRowColumn>1</TableRowColumn>
              <TableRowColumn>Wilson Wong</TableRowColumn>
              <TableRowColumn>Computer Science</TableRowColumn>
              <TableRowColumn>FL B19</TableRowColumn>
            </TableRow>
            <TableRow>
              <TableRowColumn>2</TableRowColumn>
              <TableRowColumn>Wilson Wong</TableRowColumn>
              <TableRowColumn>Computer Science</TableRowColumn>
              <TableRowColumn>FL B19</TableRowColumn>
            </TableRow>
            <TableRow>
              <TableRowColumn>3</TableRowColumn>
              <TableRowColumn>Wilson Wong</TableRowColumn>
              <TableRowColumn>Computer Science</TableRowColumn>
              <TableRowColumn>FL B19</TableRowColumn>
            </TableRow>
            <TableRow>
              <TableRowColumn>4</TableRowColumn>
              <TableRowColumn>Wilson Wong</TableRowColumn>
              <TableRowColumn>Computer Science</TableRowColumn>
              <TableRowColumn>FL B19</TableRowColumn>
            </TableRow>
          </TableBody>
        </Table>
      </Paper>
    );
  }
}

export default SchoolConfig;
